GLM 0.9.5

- Main Page
- Related Pages
- Modules
- Namespaces
- Files

Functions
GLM_GTX_transform
GTX Extensions (Experimental)

## Functions
template<typename T , precision P>
detail::tmat4x4< T, P > | rotate (T angle, detail::tvec3< T, P > const &v)
template<typename T , precision P>
detail::tmat4x4< T, P > | scale (detail::tvec3< T, P > const &v)
template<typename T , precision P>
detail::tmat4x4< T, P > | translate (detail::tvec3< T, P > const &v)

## Detailed Description

Add transformation matrices.

<glm/gtx/transform.hpp> need to be included to use these functionalities.

## Function Documentation

detail::tmat4x4<T, P> glm::rotate | ( | T | angle,
|  | detail::tvec3< T, P > const & | v
| ) |  |

Builds a rotation 4 * 4 matrix created from an axis of 3 scalars and an angle expressed in degrees.

- From GLM_GTX_transform extension
- See also: GLM_GTC_matrix_transform

detail::tmat4x4<T, P> glm::scale | ( | detail::tvec3< T, P > const & | v | ) |

Transforms a matrix with a scale 4 * 4 matrix created from a vector of 3 components.

- From GLM_GTX_transform extension
- See also: GLM_GTC_matrix_transform

detail::tmat4x4<T, P> glm::translate | ( | detail::tvec3< T, P > const & | v | ) |

Transforms a matrix with a translation 4 * 4 matrix created from 3 scalars.

- From GLM_GTX_transform extension
- See also: GLM_GTC_matrix_transform